BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.ValueType System.IComparable System.IComparable<System.Int32> System.IConvertible System.IEquatable<System.Int32> System.IFormattable

Represents a 32-bit signed integer.

The data type represents integer values ranging from negative 2,147,483,648 to positive 2,147,483,647; that is, hexadecimal 0X80000000 to 0X7FFFFFFF.

- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Description
  A negative number
  Current instance < .
  Zero
  Current instance == .
  A positive number
  Current instance > .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Description
  A negative number
  Current instance < .
  Zero
  Current instance == .
  A positive number

  Current instance > , or is a null reference.

  This method is implemented to support the interface.

  is not a and is not a null reference. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the current instance and the specified represent the same value.

  if represents the same and value as the current instance; otherwise, .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same type and value.

  if represents the same type and value as the current instance. If is a null reference or is not an instance of , returns .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TypeCode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Int32 2147483647

  Contains the maximum value for the type.

  The value of this constant is 2,147,483,647 (hexadecimal 0X7FFFFFFF).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Int32

  Contains the minimum value for the type.

  The value of this constant is -2,147,483,648 (hexadecimal 0X80000000).

  0
  -2147483648
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` A containing the value to convert. The string is interpreted using the style.

  Returns the specified converted to a value.

  The value obtained from .

  This version of is equivalent to (, , ).

  The string is parsed using the formatting information in a initialized for the current system culture. For more information, see .

  is a null reference. is not in the correct style. represents a number greater than or less than .

  This example demonstrates parsing a string to a .

  `using System; public class Int32ParseClass { public static void Main() { string str = " 100 "; Console.WriteLine("String: \"{0}\" <Int32> {1}",str,Int32.Parse(str)); } }`

  The output is

  String: " 100 " <Int32> 100

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` A containing the value to convert. The string is interpreted using the style specified by . Zero or more values that specify the style of . Specify multiple values for using the bitwise OR operator. If is a null reference, the string is interpreted using the style.

  Returns the specified converted to a value.

  The value obtained from .

  This version of is equivalent to (, , ).

  The string is parsed using the formatting information in a initialized for the current system culture. For more information, see .

  is a null reference. is not in the correct style. represents a number greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` A containing the value to convert. The string is interpreted using the style. To be added.

  Returns the specified converted to a value.

  The value obtained from .

  This version of is equivalent to (, , ).

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  is a null reference. is not in the correct style. represents a number greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` `` `` A containing the value to convert. The string is interpreted using the style specified by . Zero or more values that specify the style of . Specify multiple values for using the bitwise OR operator. If is a null reference, the string is interpreted using the style. To be added. To be added. To be added.

  Returns the specified converted to a value.

  The value obtained from .

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  is a null reference. is not in the correct style. represents a number greater than or less than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted using the general format specifier ("G"). The string takes into account the current system culture.

  This version of is equivalent to (, ).

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A that supplies a containing culture-specific formatting information.

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted using the general format specifier, ("G"). The string takes into account the formatting information in the instance supplied by .

  This version of is equivalent to ("G", ).

  If is or a cannot be obtained from , the formatting information for the current system culture is used.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A that specifies the format of the returned string. For a list of valid values, see (, ).

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as specified by . The string takes into account the current system culture.

  This method is equivalent to (, ).

  If is a null reference, the general format specifier "G" is used.

  is invalid.

  This example demonstrates converting a to a string.

  `using System; public class Int32ToStringExample { public static void Main() { Int32 i = 32; Console.WriteLine(i); String[] formats = {"c", "d", "e", "f", "g", "n", "p", "x" }; foreach(String str in formats) Console.WriteLine("{0}: {1}", str, i.ToString(str)); } }`

  The output is

  32

  c: $32.00

  d: 32

  e: 3.200000e+001

  f: 32.00

  g: 32

  n: 32.00

  p: 3,200.00 %

  x: 20

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` A containing a character that specifies the format of the returned string. To be added.

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as specified by . The string takes into account the formatting information in the instance supplied by .

  If is or a cannot be obtained from , the formatting information for the current system culture is used.

  If is a null reference, the general format specifier "G" is used.

  For a detailed description of formatting, see the interface.

  This method is implemented to support the interface.

  The following table lists the characters that are valid for the type.

  Item
  Description
  "C", "c"
  Currency format.
  "D", "d"
  Decimal format.
  "E", "e"
  Exponential notation format.
  "F", "f"
  Fixed-point format.
  "G", "g"
  General format.
  "N", "n"
  Number format.
  "P", "p"
  Percent format.
  "X", "x"
  Hexadecimal format. is invalid. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)